#!/bin/bash

prog="./out/artifacts/P4a_jar/P4a.jar"

echo -e "Structure\tOperation\tn\tTemps\tMem"
for n in $(seq 100000 50000 5000000) ; do
    for struct in arraylist vector ; do
        for op in remplir acceder ; do
                time=$(/bin/time -f "%U\t%M" java -jar $prog $struct $op $n 2>&1)
                echo -e "$struct\t$op\t$n\t$time"
         done
     done
 done